using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Add_Two_Numbers
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void addButton_Click(object sender, EventArgs e)
        {
            // Zmienne lokalne.
            int first, second, sum;

            if (int.TryParse(firstTextBox.Text, out first))
            {
                if (int.TryParse(secondTextBox.Text, out second))
                {
                    // Dodanie dwóch liczb i wyświetlenie ich sumy.
                    sum = first + second;
                    MessageBox.Show(sum.ToString());
                }
                else
                {
                    // Wyświetlenie komunikatu błędu dotyczącego drugiej kontrolki TextBox.
                    MessageBox.Show("Druga kontrolka TextBox zawiera nieprawidłowe dane.");
                }
            }
            else
            {
                // Wyświetlenie komunikatu błędu dotyczącego pierwszej kontrolki TextBox.
                MessageBox.Show("Pierwsza kontrolka TextBox zawiera nieprawidłowe dane.");
            }
        }
    }
}
